org.apache.ivy.ant

## Class IvyExtractFromSources

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.ivy.ant.IvyExtractFromSources

All Implemented Interfaces:
  java.lang.Cloneable

    public class IvyExtractFromSources
    extends org.apache.tools.ant.Task

Extracts imports from a set of java sources and generate corresponding ivy file

### Nested Class Summary

Nested Classes
`static class` `IvyExtractFromSources.Ignore`

### Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`IvyExtractFromSources()`

### Method Summary

Methods
`void` `addConfiguredIgnore(IvyExtractFromSources.Ignore ignore)`
`void` `addConfiguredMapping(PackageMapping mapping)`
`void` `addFileSet(org.apache.tools.ant.types.FileSet fileSet)`
`void` `execute()`
`java.lang.String` `getModule()`
`java.lang.String` `getOrganisation()`
`java.lang.String` `getRevision()`
`java.lang.String` `getStatus()`
`java.io.File` `getTo()`
`void` `setModule(java.lang.String module)`
`void` `setOrganisation(java.lang.String organisation)`
`void` `setRevision(java.lang.String revision)`
`void` `setStatus(java.lang.String status)`
`void` `setTo(java.io.File to)`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IvyExtractFromSources

    public IvyExtractFromSources()

### Method Detail

#### addConfiguredIgnore

    public void addConfiguredIgnore(IvyExtractFromSources.Ignore ignore)

#### getTo

    public java.io.File getTo()

#### setTo

    public void setTo(java.io.File to)

#### getModule

    public java.lang.String getModule()

#### setModule

    public void setModule(java.lang.String module)

#### getOrganisation

    public java.lang.String getOrganisation()

#### setOrganisation

    public void setOrganisation(java.lang.String organisation)

#### getRevision

    public java.lang.String getRevision()

#### setRevision

    public void setRevision(java.lang.String revision)

#### getStatus

    public java.lang.String getStatus()

#### setStatus

    public void setStatus(java.lang.String status)

#### addConfiguredMapping

    public void addConfiguredMapping(PackageMapping mapping)

#### addFileSet

    public void addFileSet(org.apache.tools.ant.types.FileSet fileSet)

#### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `org.apache.tools.ant.Task`
Throws:
  `org.apache.tools.ant.BuildException`